Page MenuHomeFreeBSD

www/nginx: remove needless patch.
ClosedPublic

Authored by joneum on Jan 21 2018, 4:41 PM.

Details

Summary

ModSecurity: back to 2.9.1
Tarantool back to 1278ee5
Drizzle back to 0.1.9
Dynamic Upstream back to 0.1.3

  • fix patches for fastdfs
  • remove needless patch

Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Jan 21 2018, 4:41 PM
joneum updated this revision to Diff 38285.Jan 21 2018, 8:29 PM

switch ModSecurity Module to GitHub

joneum edited the summary of this revision. (Show Details)Jan 21 2018, 8:30 PM

A reason not to release it?

I'm just wondering, what made these patches obsolete?

I mean I get, why you deleted the one containg

+#if (nginx_version < 1011006)

but the other was

+#if nginx_version >= 1011011

which still is true for this version.

Also:

LUA=on: 3rd party lua module

Gives me:

===>  Applying extra patch /usr/local/poudriere/ports/default/www/nginx/files/extra-patch-ngx_http_lua_headers.c
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- ../lua-nginx-module-0.10.8/src/ngx_http_lua_headers.c.orig 2017-04-15 10:57:48.875770000 -0400
|+++ ../lua-nginx-module-0.10.8/src/ngx_http_lua_headers.c      2017-04-15 11:02:00.492564000 -0400
--------------------------

The code from the patches is already included in the new modules, so they are superfluous

tcberner requested changes to this revision.Jan 24 2018, 3:15 AM

The patches still do not apply if LUA=on.

This revision now requires changes to proceed.Jan 24 2018, 3:15 AM
joneum updated this revision to Diff 38371.Jan 24 2018, 5:52 AM

remove extra-patch-ngx_http_lua_headers.c

joneum updated this revision to Diff 38372.Jan 24 2018, 6:02 AM

remove needless patch

joneum updated this revision to Diff 38373.Jan 24 2018, 6:18 AM

emove needless patch

tz requested changes to this revision.Jan 24 2018, 9:20 AM
=> Attempting to fetch https://codeload.github.com/openresty/memc-nginx-module/tar.gz/v0.18?dummy=/openresty-memc-nginx-module-v0.18_GH0.tar.gz
openresty-memc-nginx-module-v0.18_GH0.tar.gz  100% of   36 kB  399 kBps 00m00s
=> SpiderLabs-ModSecurity-v3.0.0_GH0.tar.gz is not in /usr/ports/www/nginx/distinfo.
=> Either /usr/ports/www/nginx/distinfo is out of date, or
=> SpiderLabs-ModSecurity-v3.0.0_GH0.tar.gz is spelled incorrectly.
*** Error code 1

You need to update ModSecurity module. Its not correct in the distinfo! Please update the patch.

This revision now requires changes to proceed.Jan 24 2018, 9:20 AM

Yes, and please retest the patches, there is still one that does not apply.

joneum updated this revision to Diff 38392.Jan 24 2018, 3:48 PM

ModSecurity: back to 2.9.1 - here are more tests needed

fix patches for fastdfs

remove needless patch

> The following configuration options are available for nginx-1.12.2_6,2:

DSO=on: Enable dynamic modules support
DEBUG=off: Build with debugging support
DEBUGLOG=off: Enable debug log (--with-debug)
FILE_AIO=on: Enable file aio
IPV6=on: Enable IPv6 support
GOOGLE_PERFTOOLS=off: Enable google perftools module
HTTP=on: Enable HTTP module
HTTP_ADDITION=on: Enable http_addition module
HTTP_AUTH_REQ=on: Enable http_auth_request module
HTTP_CACHE=on: Enable http_cache module
HTTP_DAV=on: Enable http_webdav module
HTTP_FLV=on: Enable http_flv module
HTTP_GEOIP=off: Enable http_geoip module
HTTP_GZIP_STATIC=on: Enable http_gzip_static module
HTTP_GUNZIP_FILTER=on: Enable http_gunzip_filter module
HTTP_IMAGE_FILTER=off: Enable http_image_filter module
HTTP_MP4=on: Enable http_mp4 module
HTTP_PERL=off: Enable http_perl module
HTTP_RANDOM_INDEX=on: Enable http_random_index module
HTTP_REALIP=on: Enable http_realip module
HTTP_REWRITE=on: Enable http_rewrite module
HTTP_SECURE_LINK=on: Enable http_secure_link module
HTTP_SLICE=on: Enable http_slice module
HTTP_SSL=on: Enable http_ssl module
HTTP_STATUS=on: Enable http_stub_status module
HTTP_SUB=on: Enable http_sub module
HTTP_XSLT=off: Enable http_xslt module
MAIL=on: Enable IMAP4/POP3/SMTP proxy module
MAIL_IMAP=off: Enable IMAP4 proxy module
MAIL_POP3=off: Enable POP3 proxy module
MAIL_SMTP=off: Enable SMTP proxy module
MAIL_SSL=on: Enable mail_ssl module
HTTPV2=on: Enable HTTP/2 protocol support (SSL req.)
NJS=off: Enable http_javascript module
STREAM=on: Enable stream module
STREAM_SSL=on: Enable stream_ssl module (SSL req.)
STREAM_SSL_PREREAD=on: Enable stream_ssl_preread module (SSL req.)
THREADS=on: Enable threads support
WWW=on: Enable html sample files
AJP=off: 3rd party ajp module
AWS_AUTH=off: 3rd party aws auth module
CACHE_PURGE=off: 3rd party cache_purge module
CLOJURE=off: 3rd party clojure module
CT=off: 3rd party cert_transparency module (SSL req.)
ECHO=off: 3rd party echo module
FASTDFS=on: 3rd party fastdfs module
HEADERS_MORE=off: 3rd party headers_more module
HTTP_ACCEPT_LANGUAGE=off: 3rd party accept_language module
HTTP_AUTH_DIGEST=off: 3rd party http_authdigest module
HTTP_AUTH_KRB5=off: 3rd party http_auth_gss module
HTTP_AUTH_LDAP=off: 3rd party http_auth_ldap module
HTTP_AUTH_PAM=off: 3rd party http_auth_pam module
HTTP_DAV_EXT=off: 3rd party webdav_ext module
HTTP_EVAL=off: 3rd party eval module
HTTP_FANCYINDEX=off: 3rd party http_fancyindex module
HTTP_FOOTER=off: 3rd party http_footer module
HTTP_GEOIP2=off: 3rd party geoip2 module
HTTP_JSON_STATUS=off: 3rd party http_json_status module
HTTP_MOGILEFS=off: 3rd party mogilefs module
HTTP_MP4_H264=off: 3rd party mp4/h264 module
HTTP_NOTICE=off: 3rd party notice module
HTTP_PUSH=off: 3rd party push module
HTTP_PUSH_STREAM=off: 3rd party push stream module
HTTP_REDIS=off: 3rd party http_redis module
HTTP_RESPONSE=off: 3rd party http_response module
HTTP_SUBS_FILTER=off: 3rd party subs filter module
HTTP_TARANTOOL=off: 3rd party tarantool upstream module
HTTP_UPLOAD=off: 3rd party upload module
HTTP_UPLOAD_PROGRESS=off: 3rd party uploadprogress module
HTTP_UPSTREAM_CHECK=off: 3rd party upstream check module
HTTP_UPSTREAM_FAIR=off: 3rd party upstream fair module
HTTP_UPSTREAM_STICKY=off: 3rd party upstream sticky module
HTTP_VIDEO_THUMBEXTRACTOR=off: 3rd party video_thumbextractor module
HTTP_ZIP=off: 3rd party http_zip module
ARRAYVAR=off: 3rd party array_var module
BROTLI=on: 3rd party brotli module
DRIZZLE=off: 3rd party drizzlie module
DYNAMIC_UPSTREAM=off: 3rd party dynamic_upstream module
ENCRYPTSESSION=off: 3rd party encrypted_session module
FORMINPUT=off: 3rd party form_input module
GRIDFS=off: 3rd party gridfs module
ICONV=off: 3rd party iconv module
LET=off: 3rd party let module
LUA=on: 3rd party lua module
MEMC=off: 3rd party memc (memcached) module
MODSECURITY=on: 3rd party mod_security module
MODSECURITY_DEVEL=off: 3rd party mod_security v3 module
NAXSI=off: 3rd party naxsi module
PASSENGER=off: 3rd party passenger module
POSTGRES=off: 3rd party postgres module
RDS_CSV=off: 3rd party rds_csv module
RDS_JSON=off: 3rd party rds_json module
REDIS2=on: 3rd party redis2 module
RTMP=off: 3rd party rtmp module
SET_MISC=off: 3rd party set_misc module
SFLOW=off: 3rd party sflow module
SHIBBOLETH=off: 3rd party shibboleth module
SLOWFS_CACHE=off: 3rd party slowfs_cache module
SMALL_LIGHT=off: 3rd party small_light module
SRCACHE=off: 3rd party srcache module
X11=off: graphics/ImageMagick[-nox11] dependency
XSS=off: 3rd party xss module

> Use 'make config' to modify these settings

joneum edited the summary of this revision. (Show Details)Jan 24 2018, 3:49 PM
joneum edited the summary of this revision. (Show Details)Jan 24 2018, 4:30 PM
tz requested changes to this revision.Jan 24 2018, 4:47 PM

This patch also doesn't work:

/wrkdirs/usr/ports/www/nginx/work/nginx-gridfs-0.8/ngx_http_gridfs_module.c:527:14: error: use of undeclared identifier 'mongo_conn_bad_set_name'
        case mongo_conn_bad_set_name:
             ^
/wrkdirs/usr/ports/www/nginx/work/nginx-gridfs-0.8/ngx_http_gridfs_module.c:531:14: error: use of undeclared identifier 'mongo_conn_cannot_find_primary'
        case mongo_conn_cannot_find_primary:
             ^
/wrkdirs/usr/ports/www/nginx/work/nginx-gridfs-0.8/ngx_http_gridfs_module.c:568:14: error: unknown type name 'mongo_conn_return'
    volatile mongo_conn_return status = mongo_conn_fail;
             ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
11 warnings and 20 errors generated.
*** Error code 1

If you want to test your patch properly you need to enable ALL options and build it.

This revision now requires changes to proceed.Jan 24 2018, 4:47 PM
tz added a comment.Jan 24 2018, 5:12 PM

.

That isn't really a helpful comment at all.
Since you updated your patch i tried it again and it failed again. Please don't to this. Add a description of your changes so we can understand if we can review it or not.

tz requested changes to this revision.Jan 24 2018, 5:16 PM

Sorry - my bad. Its another error:

fs  -I /usr/local/include/fastcommon/  -I /wrkdirs/usr/ports/www/nginx/work/nchan-1.1.14/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/objs  -I objs/addon/ndk  -I /usr/local/include  -I src/mail  -I src/stream  -o objs/addon/src/tp_transcode.o  /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_transcode.c
In file included from /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_transcode.c:45:
In file included from /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_ext.h:40:
/wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/third_party/tp.h:10:10: fatal error: 'msgpuck.h' file not found
#include <msgpuck.h>
         ^~~~~~~~~~~
1 error generated.
*** Error code 1
This revision now requires changes to proceed.Jan 24 2018, 5:16 PM
In D14007#294641, @tz wrote:

Sorry - my bad. Its another error:

fs  -I /usr/local/include/fastcommon/  -I /wrkdirs/usr/ports/www/nginx/work/nchan-1.1.14/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/src  -I /wrkdirs/usr/ports/www/nginx/work/ngx_devel_kit-0.3.0/objs  -I objs/addon/ndk  -I /usr/local/include  -I src/mail  -I src/stream  -o objs/addon/src/tp_transcode.o  /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_transcode.c
In file included from /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_transcode.c:45:
In file included from /wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/src/tp_ext.h:40:
/wrkdirs/usr/ports/www/nginx/work/nginx_upstream_module-1278ee5/third_party/tp.h:10:10: fatal error: 'msgpuck.h' file not found
#include <msgpuck.h>
         ^~~~~~~~~~~
1 error generated.
*** Error code 1

Then this is an "old" error, since it goes back to the old version.

-GH_TAGNAME+= 1278ee5:nginx_tarantool
+GH_TAGNAME+= 9e38881:nginx_tarantool

okay, my mistake, wrong patch deleted. A minute ....

joneum updated this revision to Diff 38400.Jan 24 2018, 5:30 PM

revert extra-patch-ngx_http_tarantool-config

tz accepted this revision.Jan 24 2018, 5:52 PM

Now its buildable and seems to be fine :)

sorry for the trouble. Not my week. Next time better ...

This revision was not accepted when it landed; it landed in state Needs Review.Jan 24 2018, 5:54 PM
Closed by commit rP459848: ModSecurity: back to 2.9.1 (authored by joneum). · Explain Why
This revision was automatically updated to reflect the committed changes.